## org.plovr.io
Class Streams

    java.lang.Object
      org.plovr.io.Streams

    public final class Streams

extends Object

Method Summary
`static Writer` `createFileWriter(File outputFile, Config config)` As suggested by the `FileWriter` Javadoc, because we want to specify the character encoding, use this method to create a `Writer` for a `File` instead of creating a new `FileWriter`.
`static Writer` `createFileWriter(String outputFileName, Config config)` As suggested by the `FileWriter` Javadoc, because we want to specify the character encoding, use this method to create a `Writer` for a `File` instead of creating a new `FileWriter`.
`static Writer` `createL10nFileWriter(File outputFile)` Special method to produce a `Writer` that will write localized files (i.e.
`static OutputStreamWriter` `createOutputStreamWriter(OutputStream ostream, Config config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createOutputStreamWriter

    public static OutputStreamWriter createOutputStreamWriter(OutputStream ostream,
                                                              Config config)

### createFileWriter

    public static Writer createFileWriter(File outputFile,
                                          Config config)
                                   throws FileNotFoundException

  As suggested by the `FileWriter` Javadoc, because we want to specify the character encoding, use this method to create a `Writer` for a `File` instead of creating a new `FileWriter`.

  Parameters:
    `outputFile` -
  Throws:
    `FileNotFoundException`

### createFileWriter

    public static Writer createFileWriter(String outputFileName,
                                          Config config)
                                   throws FileNotFoundException

  As suggested by the `FileWriter` Javadoc, because we want to specify the character encoding, use this method to create a `Writer` for a `File` instead of creating a new `FileWriter`.

  Parameters:
    `outputFileName` -
  Throws:
    `FileNotFoundException`

### createL10nFileWriter

    public static Writer createL10nFileWriter(File outputFile)
                                       throws FileNotFoundException

  Special method to produce a `Writer` that will write localized files (i.e. handles non-Latin characters).

  Throws:
    `FileNotFoundException`